#pragma once
#include "afxwin.h"


// CDialogAirOxySet 对话框

class CDialogAirOxySet : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogAirOxySet)

public:
	CDialogAirOxySet(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogAirOxySet();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
// 对话框数据
	enum { IDD = IDD_DIALOG_AIROXY_SET };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
	BOOL CDialogAirOxySet::OnInitDialog();
	DECLARE_MESSAGE_MAP()

private:
	CString CDialogAirOxySet::input_AirOxy_AlmH_check(CString & cs);
	CString CDialogAirOxySet::input_AirOxy_AlmL_check(CString & cs);
	
public:
	static UINT8 m_u8AirOxy_AlmH, m_u8AirOxy_AlmL;
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonAiroxyDefault();
	afx_msg void OnCbnSelchangeComboAiroxyAlmSw();
	afx_msg void OnCbnSelchangeComboAiroxyAlmLevel();
	afx_msg void OnCbnSelchangeComboAiroxyAlmRec();
	CEdit m_CEditAirOxyH;
	CEdit m_CEditAirOxyL;
	CComboBox m_CEditAirOxyAlmSW;
	CComboBox m_CEditAirOxyAlmLevel;
	CComboBox m_CEditAirOxyAlmRec;
};
